# Yahoo! UI Library

### event-custom 3.3.0

Yahoo! UI Library > event-custom > Do.Method
Search:
Filters Show Private Show Protected Show Deprecated

## Class Do.Method

Wrapper for a displaced method with aop enabled

### Constructor

Do.Method `( obj , sFn )`

Parameters:
  `obj <object>` The object to operate on
  `sFn <object>` The name of the method to displace

### Methods

#### delete

`void delete ( sid , fn , when )`
Unregister a aop subscriber

Parameters:
  `sid <string>` the subscriber id
  `fn <Function>` the function to execute
  `when <string>` when to execute the function

#### exec

`void exec ( )`
Execute the wrapped method

#### register

`void register ( sid , fn , when )`
Register a aop subscriber

Parameters:
  `sid <string>` the subscriber id
  `fn <Function>` the function to execute
  `when <string>` when to execute the function

Copyright © 2011 Yahoo! Inc. All rights reserved.